# postprocessing

These postprocessing scripts will process the Cantera data listed above and turn it into usable JSON data sets 
that D3 can read and use to build pretty charts.

Just to illustrate, we can look at a simple example. Suppose we run a simulation of a mixture of ethylene and air combusting.
We set up a Cantera script that creates a gas, a reactor, and a reactornet. It then dumps out the state of the gas, 
along with the time, at fixed intervals. At this point, we may still have no idea what we're going to visualize.

In the Python postprocessing script, we start to make decisions about our variables: what are the independent and dependent variables?
What kind of relationship exists between them? What kind of information are we trying to show with a visualization? 
What D3 chart type would lend itself to visualizing this information? We decide what information we want to extract
(for example, we may be interested in species reaction rates for one chart, and reaction enthalpies for another chart.)

The information we can visualize is only limited by what Cantera can compute - and that's a LOT.

